/*
    This file is part of Akregator.

    Copyright (C) 2005 Frank Osterfeld <frank.osterfeld at kdemail.net>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.

    As a special exception, permission is given to link this program
    with any edition of TQt, and distribute the resulting executable,
    without including the source code for TQt in the source distribution.
*/

#ifndef AKREGATOR_TAGFOLDER_H
#define AKREGATOR_TAGFOLDER_H

#include "folder.h"

class TQDomDocument;
class TQDomElement;

namespace Akregator {

class TreeNodeVisitor;

class TagFolder : public Folder
{
    public:

        TagFolder(const TQString& title = TQString());

        virtual ~TagFolder();
        virtual bool accept(TreeNodeVisitor* visitor);

        virtual TQDomElement toOPML( TQDomElement parent, TQDomDocument document ) const;

    private:
        class TagFolderPrivate;
        TagFolderPrivate* d;
};

} // namespace Akregator

#endif // AKREGATOR_TAGFOLDER_H
