/*
    This file is part of KAddressBook.
    Copyright (c) 2002 Anders Lund <anders.lund@lund.tdcadsl.dk>
                       Tobias Koenig <tokoe@kde.org>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.

    As a special exception, permission is given to link this program
    with any edition of TQt, and distribute the resulting executable,
    without including the source code for TQt in the source distribution.
*/
#ifndef XXPORTSELECTDIALOG_H
#define XXPORTSELECTDIALOG_H

#include <tdeabc/addresseelist.h>
#include <tdeabc/field.h>
#include <kdialogbase.h>

#include "filter.h"

class TQButtonGroup;
class TQComboBox;
class TQListView;
class TQListViewItem;
class TQRadioButton;

namespace KAB {
class Core;
}

class KComboBox;

class XXPortSelectDialog : public KDialogBase
{
  Q_OBJECT
  

  public:
    XXPortSelectDialog( KAB::Core *core, bool sort, TQWidget* parent,
                        const char* name = 0 );

    TDEABC::AddresseeList contacts();

  private slots:
    void filterChanged( int );
    void categoryClicked( TQListViewItem * i );

  protected slots:
    void slotHelp();

  private:
    void initGUI();
    TQStringList categories() const;

    TQButtonGroup* mButtonGroup;
    TQRadioButton* mUseCategories;
    TQRadioButton* mUseFilters;
    TQRadioButton* mUseWholeBook;
    TQRadioButton* mUseSelection;
    TQComboBox* mFiltersCombo;
    TQListView* mCategoriesView;

    KComboBox *mFieldCombo;
    KComboBox *mSortTypeCombo;

    KAB::Core *mCore;
    TDEABC::AddresseeList mAddresseeList;
    Filter::List mFilters;
    TDEABC::Field::List mFields;
    bool mUseSorting;
};

#endif
