
/****************************************************************************
 ** Copyright (C)  2001-2004 Klarlvdalens Datakonsult AB.  All rights reserved.
 **
 ** This file is part of the KDGantt library.
 **
 ** This file may be distributed and/or modified under the terms of the
 ** GNU General Public License version 2 as published by the Free Software
 ** Foundation and appearing in the file LICENSE.GPL included in the
 ** packaging of this file.
 **
 ** Licensees holding valid commercial KDGantt licenses may use this file in
 ** accordance with the KDGantt Commercial License Agreement provided with
 ** the Software.
 **
 ** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 ** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 **
 ** See http://www.klaralvdalens-datakonsult.se/Public/products/ for
 **   information about KDGantt Commercial License Agreements.
 **
 ** Contact info@klaralvdalens-datakonsult.se if any conditions of this
 ** licensing are not clear to you.
 **
 ** As a special exception, permission is given to link this program
 ** with any edition of TQt, and distribute the resulting executable,
 ** without including the source code for TQt in the source distribution.
 **
 **********************************************************************/


#ifndef KDGANTTVIEWITEMGRAG_H
#define KDGANTTVIEWITEMGRAG_H

#include <tqwidget.h>
#include <tqcstring.h>
#include <tqdragobject.h>


class KDGanttViewItem;

class KDGanttViewItemDrag :public TQStoredDrag
{
public:
  KDGanttViewItemDrag(KDGanttViewItem* item, TQWidget *source,  const char * name  ) ;

  TQByteArray encodedData( const char * c) const;
  KDGanttViewItem* getItem();
  static bool canDecode ( const TQMimeSource * e );
  static bool decode ( const TQMimeSource * e, TQString & );
protected:
  
private:
  TQByteArray array;
  KDGanttViewItem* myItem;
};




#endif
