/*
    This file is part of KitchenSync 

    Copyright (c) 2006 Daniel Gollub <dgollub@suse.de>

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public License
    along with this library; see the file COPYING.LIB.  If not, write to
    the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
    Boston, MA 02110-1301, USA.
*/

#ifndef KSYNC_XMLDIFFALGO_H
#define KSYNC_XMLDIFFALGO_H

#include <tqdom.h>

#include <libtdepim/diffalgo.h>

using namespace KPIM;

namespace KSync {

class XmlDiffAlgo : public DiffAlgo
{
  public:
    XmlDiffAlgo( const TQString &leftXml, const TQString &rightXml );
    XmlDiffAlgo( const TQDomDocument &leftXml, const TQDomDocument &rightXml );

    void run();

  private:
    void appendConflictNodes(TQDomElement &leftElement, TQDomElement &rightElement);
    void appendSingleNodes(TQDomElement &element, bool isLeft);


    void compareNode(TQDomElement &leftElement, TQDomElement &rightElement);

    TQDomDocument mLeftXml;
    TQDomDocument mRightXml;
};

}

#endif
