/*
 *   kmail: KDE mail client
 *   This file: Copyright (C) 2000 Espen Sand, <espen@kde.org>
 *   Contains code segments and ideas from earlier kmail dialog code
 *   by Stefan Taferner <taferner@kde.org>
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 */

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <tqbuttongroup.h>
#include <tqlayout.h>
#include <tqradiobutton.h>

#include <tdelocale.h>

#include "kmacctseldlg.moc"

KMAcctSelDlg::KMAcctSelDlg( TQWidget *parent, const char *name, bool modal )
  : KDialogBase( parent, name, modal, i18n("Add Account"), Ok|Cancel, Ok )
{
  TQFrame *page = makeMainWidget();
  TQVBoxLayout *topLayout = new TQVBoxLayout( page, 0, spacingHint() );

  TQButtonGroup *group = new TQButtonGroup( i18n("Account Type"), page );
  connect(group, TQT_SIGNAL(clicked(int)), TQT_SLOT(buttonClicked(int)) );

  topLayout->addWidget( group, 10 );
  TQVBoxLayout *vlay = new TQVBoxLayout( group, spacingHint()*2, spacingHint() );
  vlay->addSpacing( fontMetrics().lineSpacing() );

  TQRadioButton *radioButton1 = new TQRadioButton( i18n("&Local mailbox"), group );
  vlay->addWidget( radioButton1 );
  TQRadioButton *radioButton2 = new TQRadioButton( i18n("&POP3"), group );
  vlay->addWidget( radioButton2 );
  TQRadioButton *radioButton3 = new TQRadioButton( i18n("&IMAP"), group );
  vlay->addWidget( radioButton3 );
  TQRadioButton *radioButton4 = new TQRadioButton( i18n("&Disconnected IMAP"), group );
  vlay->addWidget( radioButton4 );
  TQRadioButton *radioButton5 = new TQRadioButton( i18n("&Maildir mailbox"), group );
  vlay->addWidget( radioButton5 );

  vlay->addStretch( 10 );

  radioButton2->setChecked(true); // Pop is most common ?
  buttonClicked(1);
}


void KMAcctSelDlg::buttonClicked( int id )
{
  mSelectedButton = id;
}


int KMAcctSelDlg::selected( void ) const
{
  return mSelectedButton;
}


