/*
    This file is part of Kontact.
    Copyright (c) 2003 Tobias Koenig <tokoe@kde.org>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.

    As a special exception, permission is given to link this program
    with any edition of TQt, and distribute the resulting executable,
    without including the source code for TQt in the source distribution.
*/

#ifndef SUMMARYWIDGET_H
#define SUMMARYWIDGET_H

#include <tqmap.h>
#include <tqtimer.h>
#include <tqwidget.h>

#include <dcopobject.h>
#include <kurllabel.h>
#include <tdeparts/part.h>

#include "plugin.h"
#include "summary.h"

class TQGridLayout;
class TQString;

class SummaryWidget : public Kontact::Summary, public DCOPObject
{
  Q_OBJECT
//  
  K_DCOP

  public:
    SummaryWidget( Kontact::Plugin *plugin, TQWidget *parent, const char *name = 0 );

    int summaryHeight() const { return 1; }
    TQStringList configModules() const;

  k_dcop_hidden:
    void slotUnreadCountChanged();

  protected:
    virtual bool eventFilter( TQObject *obj, TQEvent* e );

  public slots:
    virtual void updateSummary( bool force );

  private slots:
    void selectFolder( const TQString& );

  private:
    void updateFolderList( const TQStringList& folders );

    TQPtrList<TQLabel> mLabels;
    TQGridLayout *mLayout;
    Kontact::Plugin *mPlugin;
    int mTimeOfLastMessageCountUpdate;
};

#endif
